PHP is one of the most widely used server-side programming languages. It’s exceptionally popular as it is free software, which you can use to set up responsive websites like social networks, online shopping portals or school websites as opposed to static HTML sites. A PHP module should be enabled on the server where a PHP-powered website is hosted so that its source code can be interpreted. Because there are no license charges for this kind of module and the language offers infinite possibilities for the web-based apps that you set up, there’re 100s of millions of PHP-driven sites. On top of that, there are loads of open-source PHP-based scripts, which you can use for your websites without needing to have any coding expertise. Given the fact that there are a few versions of PHP, you ought to verify that the very same version that you used whilst building your site is present on the web server as well.
PHP 4 and PHP 5 Support in Website Hosting
Our website hosting servers support several PHP versions, which goes to say that your sites will run properly even if your scripts are out of date. We know that an old site doesn’t always imply an insecure one as you may have carried out plenty of source code modifications. This is why we support PHP 4, 5.2, 5.3, 5.4 and 5.5 and you can choose which one will be enabled for your shared web hosting account. You can change the version with a single mouse click via your Hepsia hosting Control Panel and the new settings will take effect instantly. If you want to run both older and newer scripts, there is even an option to use a different version of PHP for each domain of yours simultaneously.
PHP 4 and PHP 5 Support in Semi-dedicated Servers
In case you have a website built with an older version of PHP and you’ve dedicated time and energy to setting it up, filling security gaps and embedding web content, you will need a hosting service that can support it, since the majority of web hosting suppliers these days support only the most recently launched version of PHP and abandon the earlier versions. We, on the other hand, have decided to allow you to select the exact version that your very own sites require. Our semi-dedicated servers support multiple versions of PHP 5 and PHP 4, which means that you’ll be able to use both older and newer scripts without losing any manual modifications or wasting time striving to make your websites compatible with the web hosting platform. You can change the version from the Hepsia Control Panel and such a change will apply to the entire semi-dedicated account, but you will also be able to set a different version of PHP for each individual website that you host in your account by using an .htaccess file.